## org.eclipse.datatools.enablement.sybase.asa.ddl
Class QueryObjectsSQL

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.ddl.QueryObjectsSQL

    public class QueryObjectsSQL

extends java.lang.Object

Field Summary
`static java.lang.String` `QUERY_AUTHID`
`static java.lang.String` `QUERY_CONSTRAINT`
`static java.lang.String` `QUERY_CONSTRAINT_FOR_ASA10`
`static java.lang.String` `QUERY_DBSPACE`
`static java.lang.String` `QUERY_EVENT`
`static java.lang.String` `QUERY_INDEX`
`static java.lang.String` `QUERY_PROCEDURE`
`static java.lang.String` `QUERY_TABLE`
`static java.lang.String` `QUERY_TRIGGER`
`static java.lang.String` `QUERY_UDT`
`static java.lang.String` `QUERY_VIEW`

Constructor Summary
`QueryObjectsSQL()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_PROCEDURE

    public static java.lang.String QUERY_PROCEDURE

### QUERY_TRIGGER

    public static java.lang.String QUERY_TRIGGER

### QUERY_TABLE

    public static java.lang.String QUERY_TABLE

### QUERY_VIEW

    public static java.lang.String QUERY_VIEW

### QUERY_INDEX

    public static java.lang.String QUERY_INDEX

### QUERY_UDT

    public static java.lang.String QUERY_UDT

### QUERY_AUTHID

    public static java.lang.String QUERY_AUTHID

### QUERY_EVENT

    public static java.lang.String QUERY_EVENT

### QUERY_DBSPACE

    public static java.lang.String QUERY_DBSPACE

### QUERY_CONSTRAINT

    public static java.lang.String QUERY_CONSTRAINT

### QUERY_CONSTRAINT_FOR_ASA10

    public static java.lang.String QUERY_CONSTRAINT_FOR_ASA10

Constructor Detail

### QueryObjectsSQL

    public QueryObjectsSQL()